Insert an entry at a position

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /case/collections/{caseId}/{collectionId}/insert-entry

Inserts a message or a custom entry at the given position in the collection, shifting later entries down.

Headers

  • organization string Required

    id of the selected (active) organization

Path parameters

  • caseId string Required

    Id of the case

  • collectionId string Required

    Id of the collection

application/json

Body Required

  • entry object Required
    Hide entry attributes Show entry attributes object
    • type string Required

      Values are message, text, line_break, or custom. Default value is message.

    • deviceMessage string Required

      Required, if type is set to message

    • text string Required

      Required if type is set to text

    • customType string Required

      Required if type is set to custom

    • customValue string Required

      Required if type is set to custom

  • position number Required

    Minimum value is 0.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • createdAt string(date-time) Required
      • updatedAt string(date-time) Required
      • id string Required
      • deviceMessage string | null Required

        Id of the device message this entry points to

      • text string | null Required
      • customType string | null Required
      • customValue string | null Required
      • position number Required

        Index of the entry in the collection, starts from 0

      • type string Required

        Values are message, text, line_break, or custom. Default value is message.

      • createdBy string Required
      • lastUpdatedBy string | null Required
      • caseCollection string Required
      • case string Required
    • statusCode number Required
    • timestamp string(date-time) Required
POST /case/collections/{caseId}/{collectionId}/insert-entry
curl \
 --request POST 'http://api.example.com/case/collections/{caseId}/{collectionId}/insert-entry' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "organization: string" \
 --data '{
  "entry": {
    "type": "message",
    "deviceMessage": "string",
    "text": "string",
    "customType": "string",
    "customValue": "string"
  },
  "position": 42.0
}'
Request examples
# Headers
organization: string

# Payload
{
  "entry": {
    "type": "message",
    "deviceMessage": "string",
    "text": "string",
    "customType": "string",
    "customValue": "string"
  },
  "position": 42.0
}
Response examples (200)
{
  "data": {
    "createdAt": "2026-01-15T14:30:00.000Z",
    "updatedAt": "2026-01-15T14:30:00.000Z",
    "id": "507f1f77bcf86cd799439011",
    "deviceMessage": "507f1f77bcf86cd799439011",
    "text": "Key admission",
    "customType": "string",
    "customValue": "string",
    "position": 0,
    "type": "message",
    "createdBy": "507f1f77bcf86cd799439011",
    "lastUpdatedBy": "507f1f77bcf86cd799439011",
    "caseCollection": "507f1f77bcf86cd799439011",
    "case": "507f1f77bcf86cd799439011"
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}